package xyz.ibatv.nethercraft.init;

// REMOVE "BARRELS" FOR ACTUAL CHESTS AT SOME POINT.

import xyz.ibatv.nethercraft.block.MoreBarrelBlock;
import xyz.ibatv.nethercraft.block.entity.MoreBarrelBlockEntity;
import java.util.ArrayList;
import java.util.List;
import net.minecraft.block.Block;
import net.minecraft.block.MapColor;
import net.minecraft.block.entity.BlockEntityType;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import xyz.ibatv.nethercraft.NethercraftClassic;

public class MblvBlockInit {
    public static final MoreBarrelBlock GLOWOOD_BARREL = new MoreBarrelBlock(MapColor.OAK_TAN, "glowood");

    public static BlockEntityType<MoreBarrelBlockEntity> MORE_BARREL_BLOCK_ENTITY;

    public static final List<Block> more_barrels = new ArrayList<>();


    public static void registerBlocks() {
        registerBlock(GLOWOOD_BARREL);

        MORE_BARREL_BLOCK_ENTITY = Registry.register(Registries.BLOCK_ENTITY_TYPE, NethercraftClassic.asId("more_barrel"), BlockEntityType.Builder.create(MoreBarrelBlockEntity::new, MblvBlockInit.more_barrels.toArray(Block[]::new)).build());

    }

    private static void registerBlock(MoreBarrelBlock barrel) {
        Registry.register(Registries.BLOCK, NethercraftClassic.asId(barrel.barrelWoodType + "_barrel"), barrel);
        more_barrels.add(barrel);
    }
}